<?php



if( ! class_exists( 'INDUSTIFY_Frenify_Custom_Post' ) ) {
	class INDUSTIFY_Frenify_Custom_Post {

		function __construct() {
			// project
			add_action( 'init', array( $this, 'project_init' ) );
			add_action( 'init', array( $this, 'project_taxonomy_init' ) );
			
			// service
			add_action( 'init', array( $this, 'service_init' ) );
			add_action( 'init', array( $this, 'service_taxonomy_init' ) );
			
			// changing "Featured Image" text for custom post type
		}

		
		
		/********************************************************/
		/*  PROJECT POST REGISTER
		/********************************************************/
		
		function project_init() {
			
			global $industify_fn_option;
			
			$project_slug = 'project';
			if(isset($industify_fn_option['project_slug']) && $industify_fn_option['project_slug'] != ''){
				$project_slug = $industify_fn_option['project_slug'];
			}
			
			
			
			// Labels for display service projects
			$labels = array(
				'name'					=> esc_html__( 'Project Posts', 'frenify-core' ),
				'singular_name'			=> esc_html__( 'Project Post', 'frenify-core' ),
				'menu_name'				=> esc_html__( 'Project Posts', 'frenify-core' ),
				'name_admin_bar' 		=> esc_html__( 'Project Posts', 'frenify-core' ),
				'add_new'				=> esc_html__( 'Add New', 'frenify-core' ),
				'add_new_item'			=> esc_html__( 'Add New Project Post', 'frenify-core' ),
				'edit_item' 			=> esc_html__( 'Edit Project Post', 'frenify-core' ),
				'new_item' 				=> esc_html__( 'New Project Post', 'frenify-core' ),
				'view_item' 			=> esc_html__( 'View Project Post', 'frenify-core' ),
				'search_items' 			=> esc_html__( 'Search Project Posts', 'frenify-core' ),
				'not_found' 			=> esc_html__( 'No Project posts found', 'frenify-core' ),
				'not_found_in_trash'	=> esc_html__( 'No Project posts found in trash', 'frenify-core' ),
				'all_items' 			=> esc_html__( 'Project Posts', 'frenify-core' )
			);
		
			// Arguments for service projects
			$args = array(
				'labels' 				=> $labels,
				'public' 				=> true,
				'publicly_queryable' 	=> true,
				'show_in_nav_menus' 	=> true,
				'show_in_admin_bar' 	=> true,
				'exclude_from_search'	=> false,
				'show_ui'				=> true,
				'show_in_menu'			=> true,
				'menu_position'			=> 4,
				'menu_icon'				=> 'dashicons-portfolio', //XXS_PLUGIN_URI . 'assets/img/project-icon.png',
				'can_export'			=> true,
				'delete_with_user'		=> false,
				'hierarchical'			=> false,
				'has_archive'			=> true,
				'capability_type'		=> 'post',
				'rewrite'				=> array( 'slug' => $project_slug, 'with_front' => false ),
				'supports'				=> array( 'title', 'editor', 'thumbnail', 'author' )
			);
		
			// Register our project post type
			register_post_type( 'industify-project', $args );
		}
		
		function project_taxonomy_init() {
			
			global $industify_fn_option;
			
			$slug = 'project-cat';
			if(isset($industify_fn_option['project_cat_slug']) && $industify_fn_option['project_cat_slug'] != ''){
				$slug = $industify_fn_option['project_cat_slug'];
			}
		
			// Label for 'project category' taxonomy
			$labels = array(
				'name'							=> esc_html__( 'Project Categories', 'frenify-core' ),
				'singular_name'					=> esc_html__( 'Project Category', 'frenify-core' ),
				'menu_name'						=> esc_html__( 'Project Categories', 'frenify-core' ),
				'edit_item'						=> esc_html__( 'Edit Category', 'frenify-core' ),
				'update_item'					=> esc_html__( 'Update Category', 'frenify-core' ),
				'add_new_item'					=> esc_html__( 'Add New Category', 'frenify-core' ),
				'new_item_name'					=> esc_html__( 'New Category Name', 'frenify-core' ),
				'parent_item'					=> esc_html__( 'Parent Category', 'frenify-core' ),
				'parent_item_colon'				=> esc_html__( 'Parent Category:', 'frenify-core' ),
				'all_items'						=> esc_html__( 'All Categories', 'frenify-core' ),
				'search_items'					=> esc_html__( 'Search Categories', 'frenify-core' ),
				'popular_items'					=> esc_html__( 'Popular Categories', 'frenify-core' ),
				'separate_items_with_commas'	=> esc_html__( 'Separate Categoriess with commas', 'frenify-core' ),
				'add_or_remove_items'			=> esc_html__( 'Add or remove Categories', 'frenify-core' ),
				'choose_from_most_used'			=> esc_html__( 'Choose from the most used Categories', 'frenify-core' ),
				'not_found'						=> esc_html__( 'No Categories found', 'frenify-core' )
			);
		
			// Arguments for 'service category' taxonomy
			$args = array(
				'labels'			=> $labels,
				'public'			=> true,
				'show_ui' 			=> true,
				'show_in_nav_menus'	=> true,
				'show_admin_column'	=> true,
				'show_tagcloud'		=> false,
				'hierarchical'		=> true,
				'query_var'			=> true,
				'rewrite'			=> array( 'slug' => $slug, 'with_front' => false, 'hierarchical' => true )
			);
			
			// Register Taxanomy
			register_taxonomy( 'project_category', 'industify-project', $args );
			
			
		}
		
		
		
		
		
		/********************************************************/
		/*  Service POST REGISTER
		/********************************************************/
		
		function service_init() {
			
			global $industify_fn_option;
			
			$service_slug = 'service';
			if(isset($industify_fn_option['service_slug']) && $industify_fn_option['service_slug'] != ''){
				$service_slug = $industify_fn_option['service_slug'];
			}
			$service_bread_title = esc_html__( 'Service Posts', 'frenify-core' );
			if(isset($industify_fn_option['service_bread_title']) && $industify_fn_option['service_bread_title'] != ''){
				$service_bread_title = $industify_fn_option['service_bread_title'];
			}
			
			
			
			// Labels for display service projects
			$labels = array(
				'name'					=> $service_bread_title,
				'singular_name'			=> esc_html__( 'Service Post', 'frenify-core' ),
				'menu_name'				=> $service_bread_title,
				'name_admin_bar' 		=> $service_bread_title,
				'add_new'				=> esc_html__( 'Add New', 'frenify-core' ),
				'add_new_item'			=> esc_html__( 'Add New Service Post', 'frenify-core' ),
				'edit_item' 			=> esc_html__( 'Edit Service Post', 'frenify-core' ),
				'new_item' 				=> esc_html__( 'New Service Post', 'frenify-core' ),
				'view_item' 			=> esc_html__( 'View Service Post', 'frenify-core' ),
				'search_items' 			=> esc_html__( 'Search Service Posts', 'frenify-core' ),
				'not_found' 			=> esc_html__( 'No Service posts found', 'frenify-core' ),
				'not_found_in_trash'	=> esc_html__( 'No Service posts found in trash', 'frenify-core' ),
				'all_items' 			=> $service_bread_title
			);
		
			// Arguments for service projects
			$args = array(
				'labels' 				=> $labels,
				'public' 				=> true,
				'publicly_queryable' 	=> true,
				'show_in_nav_menus' 	=> true,
				'show_in_admin_bar' 	=> true,
				'exclude_from_search'	=> false,
				'show_ui'				=> true,
				'show_in_menu'			=> true,
				'menu_position'			=> 4,
				'menu_icon'				=> 'dashicons-hammer', //XXS_PLUGIN_URI . 'assets/img/project-icon.png',
				'can_export'			=> true,
				'delete_with_user'		=> false,
				'hierarchical'			=> false,
				'has_archive'			=> true,
				'capability_type'		=> 'post',
				'rewrite'				=> array( 'slug' => $service_slug, 'with_front' => false ),
				'supports'				=> array( 'title', 'editor', 'thumbnail', 'author' )
			);
		
			// Register our service post type
			register_post_type( 'industify-service', $args );
		}
		
		function service_taxonomy_init() {
			
			global $industify_fn_option;
			
			$slug = 'service-cat';
			if(isset($industify_fn_option['service_cat_slug']) && $industify_fn_option['service_cat_slug'] != ''){
				$slug = $industify_fn_option['service_cat_slug'];
			}
		
			// Label for 'service category' taxonomy
			$labels = array(
				'name'							=> esc_html__( 'Service Categories', 'frenify-core' ),
				'singular_name'					=> esc_html__( 'Service Category', 'frenify-core' ),
				'menu_name'						=> esc_html__( 'Service Categories', 'frenify-core' ),
				'edit_item'						=> esc_html__( 'Edit Category', 'frenify-core' ),
				'update_item'					=> esc_html__( 'Update Category', 'frenify-core' ),
				'add_new_item'					=> esc_html__( 'Add New Category', 'frenify-core' ),
				'new_item_name'					=> esc_html__( 'New Category Name', 'frenify-core' ),
				'parent_item'					=> esc_html__( 'Parent Category', 'frenify-core' ),
				'parent_item_colon'				=> esc_html__( 'Parent Category:', 'frenify-core' ),
				'all_items'						=> esc_html__( 'All Categories', 'frenify-core' ),
				'search_items'					=> esc_html__( 'Search Categories', 'frenify-core' ),
				'popular_items'					=> esc_html__( 'Popular Categories', 'frenify-core' ),
				'separate_items_with_commas'	=> esc_html__( 'Separate Categoriess with commas', 'frenify-core' ),
				'add_or_remove_items'			=> esc_html__( 'Add or remove Categories', 'frenify-core' ),
				'choose_from_most_used'			=> esc_html__( 'Choose from the most used Categories', 'frenify-core' ),
				'not_found'						=> esc_html__( 'No Categories found', 'frenify-core' )
			);
		
			// Arguments for 'service category' taxonomy
			$args = array(
				'labels'			=> $labels,
				'public'			=> true,
				'show_ui' 			=> true,
				'show_in_nav_menus'	=> true,
				'show_admin_column'	=> true,
				'show_tagcloud'		=> false,
				'hierarchical'		=> true,
				'query_var'			=> true,
				'rewrite'			=> array( 'slug' => $slug, 'with_front' => false, 'hierarchical' => true )
			);
			
			// Register Taxanomy
			register_taxonomy( 'service_category', 'industify-service', $args );
			
			
		}
		
		
		
		
	
		
	}

	$industify_fn_custompost = new INDUSTIFY_Frenify_Custom_Post();
}