<?php
/*
Plugin Name: Industify Core
Plugin URI: https://themeforest.net/item/industify-industry-wordpress-theme/22729865
Description: Industify Core Plugin for Industify Theme
Version: 1.3.0
Author: frenify
Author URI: http://www.themeforest.net/user/frenify/
*/


// Custom Meta tags for Sharing

add_action('wp_head', 'industify_fn_open_graph_meta');

function industify_fn_open_graph_meta(){
	global $post, $industify_fn_option;
	
	// enable or disable via theme options
	if(isset($industify_fn_option['open_graph_meta']) && $industify_fn_option['open_graph_meta'] == 'enable'){
	
		$image = '';
		if(isset($post)){
			if (has_post_thumbnail( $post->ID ) ) {
				$thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
				$image = esc_attr( $thumbnail_src[0] );
		}}?>

		<meta property="og:title" content="<?php the_title(); ?>" />
		<meta property="og:type" content="article"/>
		<meta property="og:url" content="<?php the_permalink(); ?>" />
		<meta property="og:site_name" content="<?php echo esc_html(get_bloginfo( 'name' )); ?>" />
		<meta property="og:description" content="<?php echo industify_fn_excerpt(12); ?>" />

		<?php if ( $image != '' ) { ?>
			<meta property="og:image" content="<?php echo esc_url($image); ?>" />
		<?php }
	}
}
		add_action( 'init', 'translation' );
		// Load text domain
		function translation() 
		{
			load_plugin_textdomain( 'frenify-core', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
		}
/*----------------------------------------------------------------------------*
 * Plugins
 *----------------------------------------------------------------------------*/
	
    // Load Theme Options Panel
	include_once(plugin_dir_path( __FILE__ ) . 'shortcode/frel-core.php');
	include_once(plugin_dir_path( __FILE__ ) . 'opt/config.php');


	add_action( 'after_setup_theme', 'industify_fn_plugin_setup', 100 );
	function industify_fn_plugin_setup(){

		// Load Meta Boxes
		include_once(plugin_dir_path( __FILE__ ) . 'inc/meta-box/metabox-config.php');

		// Call to Custom Post types and Functions
		include_once(plugin_dir_path( __FILE__ ) . 'inc/frenify-custompost.php');
		
		// Call to Custom Functions
		include_once(plugin_dir_path( __FILE__ ) . 'inc/frenify_custom_functions.php');
		

	}
