<?php
use Frel\Frel_Helper;

class frelServiceQuery {

	public static $args;

	/**
	 * Initiate the shortcode
	 */
	public function __construct() {
		
		add_shortcode( 'frenify_service_query', array( $this, 'render' ) );

	}

	function render( $args, $content = '') {
		

		$defaults = shortcode_atts( array (
			 'view_more'  						=> '',
			 'desc'  							=> '',
			 'title'  							=> '',
			 'post_number'  					=> '',
			 'post_order'  						=> '',
			 'post_orderby'  					=> '',
			 'post_offset'  					=> '',
			 'column_count'  					=> '4',
			 'mobile_layout'  					=> '',
			 'mobile_post_number'  				=> '',
		), $args );
		
		extract( $defaults );

		self::$args = $defaults;
		
		$query_args = array(
			'post_type' 			=> 'industify-service',
			'posts_per_page' 		=> $args['post_number'],
			'post_status' 			=> 'publish',
			'order' 				=> $args['post_order'],
			'orderby' 				=> $args['post_orderby'],
			'offset' 				=> $args['post_offset'],
		);
		
		
		
		
		$industify_post_loop = new WP_Query($query_args);
		
		$title					= $args['title'];
		$desc 					= $args['desc'];
		$view_more 				= $args['view_more'];
		$mobile_layout 			= $args['mobile_layout'];
		$mobile_post_number		= $args['mobile_post_number'];
		
		$svg 					= '<span class="arrow"><img class="industify_w_fn_svg" src="'.FREL_PLUGIN_URL.'assets/svg/arrow-r.svg" alt="svg" /></span>';
		
		$owl_control 			= '<div class="owl_control"><div class="fn_prev"></div><div class="fn_next"></div></div>';
		
		$html 					= Frel_Helper::frel_open_wrap();
		$topbar 				= '<div class="top_bar"><div class="t_inner"><h3>'.$title.'</h3><span>'.$desc.'</span>'.$owl_control.'</div></div>';
		$html 					.= '<div class="fn_cs_service_query" data-mobile="'.$mobile_layout.'" data-column-count="'.$column_count.'">'.$topbar;
		$service 				= '<div class="service_part"><div class="owl-carousel">';
		
		$mItems 				= '';
		foreach ( $industify_post_loop->posts as $key => $fn_post ) {
			setup_postdata( $fn_post );
			$post_id 			= $fn_post->ID;
			$post_permalink 	= get_permalink($post_id);
			$post_image 		= get_the_post_thumbnail_url( $post_id, 'full' );
			$post_title			= $fn_post->post_title;
			
			$img_holder			= '<div class="img_holder"><img src="'.FREL_PLUGIN_URL.'assets/img/thumb-480-700.jpg" alt="" /><div class="abs_img" data-bg-img="'.$post_image.'"><a href="'.$post_permalink.'"></a></div></div>';
			$title 				= '<div class="title"><h3><a href="'.$post_permalink.'">'.$post_title.'</a></h3></div>';
			$view_more_link 	= '<div class="view_more"><a href="'.$post_permalink.'"><span class="text">'.$view_more.'</span>'.$svg.'</a></div>';
			$item 				= '<div class="item">'.$img_holder.$title.$view_more_link.'</div>';
			
			$service .= $item;
			
			if($key < $mobile_post_number){
				$mItems .= '<li>';
				$mItems .= $item;
				$mItems .= '</li>';
			}
			wp_reset_postdata();
		}
		
		if($mobile_layout == 'enable'){
			$mobileLayout = '<div class="mobile_items"><ul>'.$mItems.'</ul></div>';
		}else{
			$mobileLayout = '';
		}
		$service .= '</div></div>';
		
		$html .= $service.$mobileLayout.'</div>';
		$html .= Frel_Helper::frel_close_wrap();

		return $html;

	}
	

}

new frelServiceQuery();