<?php

/* ------------------------------------------------------------------------ */
/* Define Sidebars */
/* ------------------------------------------------------------------------ */

add_action( 'widgets_init', 'industify_fn_widgets_init', 1000 );


function industify_fn_widgets_init() {
	if (function_exists('register_sidebar')) {
		
		global $industify_fn_option;
		
		if(isset($industify_fn_option['footer_widget_switch']) && isset($industify_fn_option['footer_switch']) && $industify_fn_option['footer_widget_switch'] === 'enable' && $industify_fn_option['footer_switch'] === 'enable'){
			/* ------------------------------------------------------------------------ */
			/* Footer Widgets
			/* ------------------------------------------------------------------------ */
			$number = 3;
			for($counter = 1; $counter <= $number; $counter++){
				register_sidebar(array(
					'name' => 'Footer Widget '.$counter,
					'id'   => 'footer-widget-'.$counter,
					'description'   => esc_html__('These are widgets for footer.', 'industify'),
					'before_widget' => '<div id="%1$s" class="widget_block clearfix %2$s"><div>',
					'after_widget'  => '</div></div>',
					'before_title'  => '<div class="wid-title"><span>',
					'after_title'   => '</span></div>'
				));
			}
		}
		if(isset($industify_fn_option['footer_bottom_widget_switch']) && isset($industify_fn_option['footer_switch']) && $industify_fn_option['footer_bottom_widget_switch'] === 'enable' && $industify_fn_option['footer_switch'] === 'enable'){
			/* ------------------------------------------------------------------------ */
			/* Footer Left Part Widget
			/* ------------------------------------------------------------------------ */
			
			register_sidebar(array(
				'name' => 'Footer Bottom Widget',
				'id'   => 'footer-bottom-widget',
				'description'   => esc_html__('This is widget for footer (bottom).', 'industify'),
				'before_widget' => '<div id="%1$s" class="widget_block clearfix %2$s"><div>',
				'after_widget'  => '</div></div>',
				'before_title'  => '<div class="wid-title"><span>',
				'after_title'   => '</span></div>'
			));

		}
		
		if(isset($industify_fn_option['footer_subscribe_area']) && isset($industify_fn_option['footer_switch']) && $industify_fn_option['footer_subscribe_area'] === 'enable' && $industify_fn_option['footer_switch'] === 'enable'){
			/* ------------------------------------------------------------------------ */
			/* Footer Subscribe Widget
			/* ------------------------------------------------------------------------ */
			
			register_sidebar(array(
				'name' => 'Footer Subscribe Widget',
				'id'   => 'footer-subscribe-widget',
				'description'   => esc_html__('This is widget for footer (subscribe).', 'industify'),
				'before_widget' => '<div id="%1$s" class="widget_block clearfix %2$s"><div>',
				'after_widget'  => '</div></div>',
				'before_title'  => '<div class="wid-title"><span>',
				'after_title'   => '</span></div>'
			));

		}
		
		/* ------------------------------------------------------------------------ */
		/* Sidebar Widgets
		/* ------------------------------------------------------------------------ */
		register_sidebar(array(
			'name' => 'Main Sidebar',
			'id'   => 'main-sidebar',
			'description'   => esc_html__('These are widgets for the sidebar.', 'industify'),
			'before_widget' => '<div id="%1$s" class="widget_block clear %2$s"><div>',
			'after_widget'  => '</div></div>',
			'before_title'  => '<div class="wid-title"><span>',
			'after_title'   => '</span></div>'
		));
		
		register_sidebar(array(
			'name' => 'Service and Service Single Sidebar',
			'id'   => 'service-single-sidebar',
			'description'   => esc_html__('These are widgets for the sidebar.', 'industify'),
			'before_widget' => '<div id="%1$s" class="widget_block clear %2$s"><div>',
			'after_widget'  => '</div></div>',
			'before_title'  => '<div class="wid-title"><span>',
			'after_title'   => '</span></div>'
		));
		
		register_sidebar(array(
			'name' => 'WooCommerce Sidebar',
			'id'   => 'woocommerce-sidebar',
			'description'   => esc_html__('These are widgets for woocommerce sidebar.', 'industify'),
			'before_widget' => '<div id="%1$s" class="widget_block clearfix %2$s"><div>',
			'after_widget'  => '</div></div>',
			'before_title'  => '<div class="wid-title"><span>',
			'after_title'   => '</span></div>'
		));
	}
}

    
?>