<?php

get_header();

global $post, $industify_fn_option;
$industify_fn_pagetitle = '';
$industify_fn_top_padding = '';
$industify_fn_bot_padding = '';
$industify_fn_page_spaces = '';
$industify_fn_pagestyle = 'ws';

if(function_exists('rwmb_meta')){
	$industify_fn_pagetitle 		= get_post_meta(get_the_ID(),'industify_fn_page_title', true);
	$industify_fn_top_padding 		= get_post_meta(get_the_ID(),'industify_fn_page_padding_top', true);
	$industify_fn_bot_padding 		= get_post_meta(get_the_ID(),'industify_fn_page_padding_bottom', true);
	
	$industify_fn_page_spaces = 'style=';
	if($industify_fn_top_padding != ''){$industify_fn_page_spaces .= 'padding-top:'.$industify_fn_top_padding.'px;';}
	if($industify_fn_bot_padding != ''){$industify_fn_page_spaces .= 'padding-bottom:'.$industify_fn_bot_padding.'px;';}
	if($industify_fn_top_padding == '' && $industify_fn_bot_padding == ''){$industify_fn_page_spaces = '';}
	
}


// CHeck if page is password protected	
if(post_password_required($post)){
	echo '<div class="industify_fn_password_protected">
			<div class="container">
				<div class="in">
					<div>
						<div class="message_holder">
							<h1>'.esc_html__('Protected','industify').'</h1>
							<h3>'.esc_html__('This page was protected','industify').'</h3>
							'.get_the_password_form().'
							<div class="icon_holder"><i class="xcon-lock"></i></div>
						</div>
					</div>
				</div>
		  	</div>
		  </div>';
}
else
{

?>
<div class="industify_fn_all_pages_content">
	<?php if($industify_fn_pagetitle !== 'disable'){ ?>
		<!-- PAGE TITLE -->
		<div class="industify_fn_pagetitle index_page">
			<div class="container">
				<div class="title_holder">
					<h3>
						<?php 
							if(isset($industify_fn_option['blog_single_title'])){
								$pageTitle = $industify_fn_option['blog_single_title'];
							}else{
								$pageTitle = esc_html__('Our Blog', 'industify');
							}
							echo esc_html($pageTitle);
						?>
					</h3>
				</div>
			</div>
		</div>
		<!-- /PAGE TITLE -->
	<?php } ?>
	
	<!-- ALL PAGES -->		
	<div class="industify_fn_all_pages">
		<div class="container">
			<div class="industify_fn_all_pages_inner">
				

				<?php if($industify_fn_pagestyle == 'full'){ ?>
				
				<!-- WITHOUT SIDEBAR -->
				<div class="industify_fn_without_sidebar_page" <?php echo esc_attr($industify_fn_page_spaces); ?>>
					<div class="inner">
						
						<ul class="industify_fn_postlist">
							
							<?php 
								if (have_posts()) : while (have_posts()) : the_post();
							?>
							<li id="post-<?php the_ID(); ?>">
								<div <?php post_class(); ?>>
										
									<div class="time">
										<span></span>
										<h3><?php the_time('d');?></h3>
										<h5><?php the_time('M');?></h5>
										<h5><?php the_time('Y');?></h5>
									</div>
									<div class="img_holder">
										<a href="<?php the_permalink(); ?>">
											<?php the_post_thumbnail('full');?>
										</a>
										<span class="shape1"></span>
										<span class="shape2"></span>
									</div>
									<div class="content_holder">
										<div class="info_holder">
											<p class="t_header">
												<span class="t_author">
												<?php esc_html_e('By ', 'industify');?>
												<a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID')));?>">
												<?php echo esc_html(get_the_author_meta('display_name'));?></a>
												</span>
												<span class="t_category">
												<?php esc_html_e('In ', 'industify');?>

												<?php echo industify_fn_taxanomy_list(get_the_id(), 'category', true, 1)?>
												</span>
											</p>
										</div>
										<div class="title">
											<h3>
												<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
											</h3>
										</div>
										<div class="excerpt_holder">
											<p><?php echo industify_fn_excerpt(45,get_the_id()); ?></p>
										</div>
										<div class="read_holder">
											<p>
												<a href="<?php the_permalink(); ?>"><?php esc_html_e('En savoir plus', 'industify'); ?></a>
											</p>
										</div>
									</div>
								</div>
							</li>
							<?php endwhile; endif; wp_reset_postdata();?>
							
						</ul>

					</div>
					
					<?php industify_fn_pagination(); ?>
				</div>
				<!-- /WITHOUT SIDEBAR -->
				
				<?php }else{ ?>
				
				<!-- WITH SIDEBAR -->
				<div class="industify_fn_sidebarpage">
					<div class="s_inner">

						<div class="industify_fn_leftsidebar" <?php echo esc_attr($industify_fn_page_spaces); ?>>
							<ul class="industify_fn_postlist">

								<?php 

									if (have_posts()) : while (have_posts()) : the_post();
								?>
								<li id="post-<?php the_ID(); ?>">
									<div <?php post_class(); ?>>

										<div class="time">
											<span></span>
											<h3><?php the_time('d');?></h3>
											<h5><?php the_time('M');?></h5>
											<h5><?php the_time('Y');?></h5>
										</div>
										<div class="img_holder">
											<a href="<?php the_permalink(); ?>">
												<?php the_post_thumbnail('full');?>
											</a>
											<span class="shape1"></span>
											<span class="shape2"></span>
										</div>
										<div class="content_holder">
											<div class="info_holder">
												<p class="t_header">
													<span class="t_author">
													<?php esc_html_e('By ', 'industify');?>
													<a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID')));?>">
													<?php echo esc_html(get_the_author_meta('display_name'));?></a>
													</span>
													<span class="t_category">
													<?php esc_html_e('In ', 'industify');?>

													<?php echo industify_fn_taxanomy_list(get_the_id(), 'category', true, 1)?>
													</span>
												</p>
											</div>
											<div class="title">
												<h3>
													<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
												</h3>
											</div>
											<div class="excerpt_holder">
												<p><?php echo industify_fn_excerpt(45,get_the_id()); ?></p>
											</div>
											<div class="read_holder">
												<p>
													<a href="<?php the_permalink(); ?>"><?php esc_html_e('En savoir plus', 'industify'); ?></a>
												</p>
											</div>
										</div>
									</div>
								</li>
								<?php endwhile; endif; wp_reset_postdata();?>

							</ul>

							<?php industify_fn_pagination(); ?>
						</div>

						<div class="industify_fn_rightsidebar" <?php echo esc_attr($industify_fn_page_spaces); ?>>
							<?php get_sidebar(); ?>
						</div>
					</div>
				</div>
				<!-- /WITH SIDEBAR -->

				<?php } ?>
			</div>
		</div>
	</div>		
	<!-- /ALL PAGES -->
</div>
<?php } ?>

<?php get_footer(); ?>  